/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* Set every element's box-sizing to border-box */
* {
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  font-family: 'Titillium Web', sans-serif;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: 'Bangers', cursive;
  letter-spacing: 1px;
  margin-bottom: 15px;
}

/* BASE STYLES */
h2 {
  font-family: 'Montserrat', sans-serif;
  text-transform: uppercase;
  font-size: 20px;
}

h2,
p {
  line-height: 1.4;
}

p a,
p a:visited {
  color: #8ad4ff;
  text-decoration: none;
}

p a:hover {
  text-decoration: underline;
}

.container {
  width: 90%;
  margin: 0 auto;
}

/* GRID */
.row {
  display: inline-block;
  vertical-align: top;
  width: 100%;
  font-size: 0;
  margin: 0 -6px;
  margin-bottom: 50px;
  /* border: 1px solid red; */
}

.col-50 {
  display: inline-block;
  vertical-align: top;
  width: 50%;
  font-size: 16px;
  padding: 0 6px;
  height: 100%;
  /* border: 1px solid #000; */
}

.col-33 {
  display: inline-block;
  vertical-align: top;
  width: 33.3333333333%;
  font-size: 16px;
  padding: 0 6px;
  /* border: 1px solid #000; */
}

/* NAVIGATION */
.navigation {
  display: inline-block;
  vertical-align: top;
  width: 100%;
  height: 75px;
  margin-bottom: 20px;
  background: #cbecff;
  position: fixed;
  z-index: 1000;
  /* border: 3px solid #000; */
}

.nav-container {
  position: relative;
  height: 100%;
  /* border: 1px solid orange; */
}

.nav-links a,
.nav-links a:visited {
  font-family: 'Montserrat', sans-serif;
  text-decoration: none;
  margin-right: 120px;
  color: #000;
  font-size: 18px;
  transition: all 300ms;
}

.nav-links a:hover {
  color: #999;
  /* border-bottom: 1px solid #999; */
}

.nav-links {
  position: absolute;
  top: 30px;
}

.logo {
  position: absolute;
  top: 19px;
  right: 0;
}

/* HEADER */
.header {
  padding: 140px 0 50px;
  border-bottom: 1px solid #000;
}

.cta {
  text-align: center;
  width: 50%;
  margin: 0 auto;
  padding: 22.8px 0;
  animation: fromleft 500ms ease-in-out;
}

.heading-primary {
  font-size: 90px;
}

.header-image-container {
  text-align: center;
  animation: fromright 500ms ease-in-out;
}

.cta-button {
  border: 1px solid black;
  font-family: 'Montserrat', sans-serif;
  font-size: 24px;
  padding: 10px 20px;
  cursor: pointer;
  transition: all 200ms;
}

.cta-button:hover {
  color: #000;
  background: #dcf2fd;
}

/* IMAGES */
.middle-img-container {
  margin-bottom: 50px;
  background-image: url('../img/mid-page-accent.jpg');
  background-size: cover;
  background-position: top;
  width: 100%;
  height: 182px;
}

.middle-img {
  width: 100%;
}

/* BOTTOM CONTENT */
.bottom-content {
  padding-bottom: 50px;
  border-bottom: 1px solid black;
}

/* CONTACT */
.contact {
  font-size: 16px;
}

.contact a,
.contact a:visited {
  color: #000;
  text-decoration: none;
  transition: all 300ms;
}

.contact a:hover {
  color: #ccc;
}

/* FOOTER */
.footer {
  text-align: center;
  font-family: 'Montserrat', sans-serif;
  padding-bottom: 20px;
}

/* FEATURE PAGE */
.main-features {
  opacity: 0;
  animation: fadein 500ms ease-in 200ms forwards;
}

.features {
  padding: 140px 0 50px;
  text-align: center;
}

.features h2 {
  margin-top: 20px;
}

.features p {
  text-align: left;
}

.features i {
  color: #cbecff;
  /* color: #999; */
}

/* LINKS SECTION */
.links {
  text-align: center;
}

.link-list a,
.link-list a:visited,
.social-list a,
.social-list a:visited {
  color: #999;
  font-family: 'Montserrat', sans-serif;
  text-decoration: none;
  margin-right: 10px;
  transition: all 0.2s;
}

.link-list a:hover,
.social-list a:hover {
  color: #cbecff;
}

@keyframes fadein {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes fromleft {
  0% {
    transform: translateX(-1000px);
  }
  80% {
    transform: translateX(100px);
  }
  100% {
    transform: translateX(0);
  }
}

@keyframes fromright {
  0% {
    transform: translateX(1000px);
  }
  80% {
    transform: translateX(-100px);
  }
  100% {
    transform: translateX(0);
  }
}
